package com.tenlionsoft.aimz_k.page.activity

import android.view.View
import android.view.WindowManager
import androidx.core.content.ContextCompat
import androidx.databinding.DataBindingUtil
import androidx.lifecycle.ViewModelProvider
import com.hjq.permissions.OnPermissionCallback
import com.hjq.permissions.XXPermissions
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivityChatBinding
import com.tenlionsoft.aimz_k.viewmodel.ChatPageViewModel
import com.tenlionsoft.baselib.base.BaseActivity

/**
 * 聊天页面
 */
class ChatActivity : BaseActivity() {
    private lateinit var mBinding: ActivityChatBinding
    private val chatPageViewModel: ChatPageViewModel by lazy {
        ViewModelProvider(this)[ChatPageViewModel::class.java]
    }

    override fun bindView() {
        mBinding = DataBindingUtil.setContentView(this, R.layout.activity_chat);
        window.addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS)
        window.statusBarColor =
            ContextCompat.getColor(this, com.tenlionsoft.baselib.R.color.chat_page_bg)
        mBinding.ivBack.setOnClickListener { finish(); }
        mBinding.srlChats.setEnableRefresh(false)
        mBinding.srlChats.setEnableLoadMore(false)
        mBinding.viewModel = chatPageViewModel
        mBinding.lifecycleOwner = this
        chatPageViewModel.showSendBtn.observe(this) {
            mBinding.ivSend.visibility = if (it) View.GONE else View.VISIBLE
        }
        mBinding.rpvEmoji.setOnEmojiPickedListener {
            mBinding.etMsg.append(it.emoji)
        }
    }
}



//XXPermissions.with(this)
//// 申请单个权限
//.permission(Permission.RECORD_AUDIO)
//// 申请多个权限
//.permission(Permission.Group.CALENDAR)
//// 设置权限请求拦截器（局部设置）
////.interceptor(new PermissionInterceptor())
//// 设置不触发错误检测机制（局部设置）
////.unchecked()
//.request(object : OnPermissionCallback {
//
//    override fun onGranted(permissions: MutableList<String>, allGranted: Boolean) {
//        if (!allGranted) {
//            toast("获取部分权限成功，但部分权限未正常授予")
//            return
//        }
//        toast("获取录音和日历权限成功")
//    }
//
//    override fun onDenied(permissions: MutableList<String>, doNotAskAgain: Boolean) {
//        if (doNotAskAgain) {
//            toast("被永久拒绝授权，请手动授予录音和日历权限")
//            // 如果是被永久拒绝就跳转到应用权限系统设置页面
//            XXPermissions.startPermissionActivity(context, permissions)
//        } else {
//            toast("获取录音和日历权限失败")
//        }
//    }
//})